SSH key

Get all SSH keys

get

SSH key Resource Fields

Field

id

user

title

public_key

created_at


GET /v7/user__has__public_key

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get
/v7/user__has__public_key

Add new SSH key to account

post

POST /v7/user__has__public_key

Request Body:

{
    "public_key": <SSH KEY>,
    "title": <TITLE>,
    "user": <USER ID>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional
post
/v7/user__has__public_key

Get SSH key by ID

get

GET /v7/user__has__public_key(<ID>)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get
/v7/user__has__public_key({ID})

Remove SSH key

delete

DELETE /v7/user__has__public_key(<ID>)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete
/v7/user__has__public_key({ID})

Last updated

Was this helpful?